Subject: Re: Comments

From: Andreas Enge <[email-masked]>
Date: Wed, 22 Jan 2025 14:02:30 +0100

Hello,

only recently did I learn that debbugs does not forward comments to the
authors of issues; so I am resending them again with the author in cc.

Andreas

Am Mon, Oct 28, 2024 at 10:35:26AM +0100 schrieb Andreas Enge:
> Hello Jesse,
> 
> thanks for your contribution, which passes QA and looks mainly good!
> 
> QA runs "guix lint":
> https://qa.guix.gnu.org/issue/74039
> which complains about the following:
> "the source file name should contain the package name"
> 
> Maybe you could run "guix lint" on your different packages and see to
> which one it applies? Probably python-bip32 with its source taken from git.
> 
> Maybe you could use pypi there as well? When trying a "guix import pypi bip32"
> I get a version 4.0 instead of 3.2; would this work as well?
> Otherwise, there are examples in the Guix source of how to force a
> descriptive name for the git checkout.
> 
> The description should consist of complete sentences and be a bit longer
> and more descriptive, maybe a short paragraph. Often it can be taken from
> the project website, after stripping out the marketing speech.
> 
> Please also adapt the commit messages to the Guix style.
> Running "./etc/committer.scm" (instead of "git commit") could be an
> option, it usually works well for adding new packages.
> 
> Looking forward to a v3,
> 
> Andreas